Loading...
Searching...
No Matches
BALL::GAFFTypeProcessor::TypeDefinition Struct Reference

Nested class definitions. More...

`#include <BALL/MOLMEC/AMBER/GAFFTypeProcessor.h>`

## Public Attributes

String | atom_type
int | atomic_number
int | connectivity
String | attached_hydrogens
String | electron_withdrawal_atoms
String | atomic_property
String | chemical_environment

## Detailed Description

Nested class definitions.

Definition at line 41 of file GAFFTypeProcessor.h.

## Member Data Documentation

## atom_type

String BALL::GAFFTypeProcessor::TypeDefinition::atom_type

Definition at line 43 of file GAFFTypeProcessor.h.

## atomic_number

int BALL::GAFFTypeProcessor::TypeDefinition::atomic_number

Definition at line 44 of file GAFFTypeProcessor.h.

## atomic_property

String BALL::GAFFTypeProcessor::TypeDefinition::atomic_property

Definition at line 48 of file GAFFTypeProcessor.h.

## attached_hydrogens

String BALL::GAFFTypeProcessor::TypeDefinition::attached_hydrogens

Definition at line 46 of file GAFFTypeProcessor.h.

## chemical_environment

String BALL::GAFFTypeProcessor::TypeDefinition::chemical_environment

Definition at line 49 of file GAFFTypeProcessor.h.

## connectivity

int BALL::GAFFTypeProcessor::TypeDefinition::connectivity

Definition at line 45 of file GAFFTypeProcessor.h.

## electron_withdrawal_atoms

String BALL::GAFFTypeProcessor::TypeDefinition::electron_withdrawal_atoms

Definition at line 47 of file GAFFTypeProcessor.h.